/**
 * 
 */
package fr.univartois.bomberman.model.config;

import static org.junit.Assert.*;

import org.junit.Test;

import fr.univartois.bomberman.view.MenuView;

/**
 * @author thibault
 *
 */
public class ConfigManagerTest {
	
	
	@Test
	public void testInstance() {
		assertNotNull(ConfigManager.getInstance());
	}
	
	@Test
	public void testGet() {
		assertNotNull(MyProperties.class.getResourceAsStream("/config/path.properties"));
		assertNotNull(ConfigManager.getInstance().get("path"));
		assertNotNull(ConfigManager.getInstance().get("general"));
		assertNotNull(ConfigManager.getInstance().get("input"));
	}

}
